package market.Qms.qcm.vo;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
public class QcmJhySampleConsignDTemp {

//	检验项目集合
	private List<QcmJhySampleConsignDItem> objectList1;
	
	public List<QcmJhySampleConsignDItem> getObjectList1() {
		return objectList1;
	}
	public void setObjectList(List<QcmJhySampleConsignDItem> objectList1) {
		this.objectList1 = objectList1;
	}

	/** 
	 * 试样号
	 */ 
	private String smp_no;
	public String getSmp_no() {
		return this.smp_no;
	}
	public void setSmp_no(String smp_no) {
		this.smp_no = smp_no;
	}

	/** 
	 * 取样编号
	 */ 
	private String specimen_no;
	public String getSpecimen_no() {
		return this.specimen_no;
	}
	public void setSpecimen_no(String specimen_no) {
		this.specimen_no = specimen_no;
	}

	/** 
	 * 炉号
	 */ 
	private String heat_no;
	public String getHeat_no() {
		return this.heat_no;
	}
	public void setHeat_no(String heat_no) {
		this.heat_no = heat_no;
	}

	/** 
	 * 轧批号
	 */ 
	private String batch_no;
	public String getBatch_no() {
		return this.batch_no;
	}
	public void setBatch_no(String batch_no) {
		this.batch_no = batch_no;
	}

	/** 
	 * 检验号
	 */ 
	private String inspection_lot;
	public String getInspection_lot() {
		return this.inspection_lot;
	}
	public void setInspection_lot(String inspection_lot) {
		this.inspection_lot = inspection_lot;
	}

	/** 
	 * 取样频次代码
	 */ 
	private String freq_code;
	public String getFreq_code() {
		return this.freq_code;
	}
	public void setFreq_code(String freq_code) {
		this.freq_code = freq_code;
	}

	/** 
	 * 取样频次名称
	 */ 
	private String freq_name;
	public String getFreq_name() {
		return this.freq_name;
	}
	public void setFreq_name(String freq_name) {
		this.freq_name = freq_name;
	}

	/** 
	 * 取样材料号
	 */ 
	private String material_no;
	public String getMaterial_no() {
		return this.material_no;
	}
	public void setMaterial_no(String material_no) {
		this.material_no = material_no;
	}

	/** 
	 * 样品类型代码
	 */ 
	private String smp_type_code;
	public String getSmp_type_code() {
		return this.smp_type_code;
	}
	public void setSmp_type_code(String smp_type_code) {
		this.smp_type_code = smp_type_code;
	}

	/** 
	 * 样品类型名称
	 */ 
	private String smp_type_name;
	public String getSmp_type_name() {
		return this.smp_type_name;
	}
	public void setSmp_type_name(String smp_type_name) {
		this.smp_type_name = smp_type_name;
	}

	/** 
	 * 委托编号（产线简写标识（COM_BASE_PLINE.PLINE_ABBR）+2位年月日+4位流水）
	 */ 
	private String consign_no;
	public String getConsign_no() {
		return this.consign_no;
	}
	public void setConsign_no(String consign_no) {
		this.consign_no = consign_no;
	}

	/** 
	 * 委托编号序号（同组号向下流水）
	 */ 
	private Long consign_no_seq;
	public Long getConsign_no_seq() {
		return this.consign_no_seq;
	}
	public void setConsign_no_seq(Long consign_no_seq) {
		this.consign_no_seq = consign_no_seq;
	}

	/** 
	 * 试验次数
	 */ 
	private Long test_qty;
	public Long getTest_qty() {
		return this.test_qty;
	}
	public void setTest_qty(Long test_qty) {
		this.test_qty = test_qty;
	}

	/** 
	 * 取样数量
	 */ 
	private Long smp_qty;
	public Long getSmp_qty() {
		return this.smp_qty;
	}
	public void setSmp_qty(Long smp_qty) {
		this.smp_qty = smp_qty;
	}

	/** 
	 * 母板号（取样频次='408603',不可为空,按母板取样）
	 */ 
	private String board_no;
	public String getBoard_no() {
		return this.board_no;
	}
	public void setBoard_no(String board_no) {
		this.board_no = board_no;
	}

	/** 
	 * 引用取样编号
	 */ 
	private String quote_consign_no;
	public String getQuote_consign_no() {
		return this.quote_consign_no;
	}
	public void setQuote_consign_no(String quote_consign_no) {
		this.quote_consign_no = quote_consign_no;
	}

	/** 
	 * 初样取样编号（复样不能为空）
	 */ 
	private String old_consign_no;
	public String getOld_consign_no() {
		return this.old_consign_no;
	}
	public void setOld_consign_no(String old_consign_no) {
		this.old_consign_no = old_consign_no;
	}

	/** 
	 * 产线代码
	 */ 
	private String pline_code;
	public String getPline_code() {
		return this.pline_code;
	}
	public void setPline_code(String pline_code) {
		this.pline_code = pline_code;
	}

	/** 
	 * 产线描述
	 */ 
	private String pline_name;
	public String getPline_name() {
		return this.pline_name;
	}
	public void setPline_name(String pline_name) {
		this.pline_name = pline_name;
	}

	/** 
	 * 状态(0,未发送,1,已发送,2,已接收,3,已完成)
	 */ 
	private String status;
	public String getStatus() {
		return this.status;
	}
	public void setStatus(String status) {
		this.status = status;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 创建人
	 */ 
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 发送人
	 */ 
	private String send_name;
	public String getSend_name() {
		return this.send_name;
	}
	public void setSend_name(String send_name) {
		this.send_name = send_name;
	}

	/** 
	 * 发送时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date send_time;
	public Date getSend_time() {
		return this.send_time;
	}
	public void setSend_time(Date send_time) {
		this.send_time = send_time;
	}

	/** 
	 * 验收人
	 */ 
	private String affirm_name;
	public String getAffirm_name() {
		return this.affirm_name;
	}
	public void setAffirm_name(String affirm_name) {
		this.affirm_name = affirm_name;
	}

	/** 
	 * 验收时间
	 */ 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date affirm_time;
	public Date getAffirm_time() {
		return this.affirm_time;
	}
	public void setAffirm_time(Date affirm_time) {
		this.affirm_time = affirm_time;
	}

	/** 
	 * 验收备注
	 */ 
	private String check_memo;
	public String getCheck_memo() {
		return this.check_memo;
	}
	public void setCheck_memo(String check_memo) {
		this.check_memo = check_memo;
	}

}
